/* src/sysconf.h.  Generated automatically by configure.  */
/* -*- C -*- */

/* Note: this is for unix only.  See slrnconf.h for other systems.  
 * Also edit slrnfeat.h for slrn features.
 */

#ifndef SLRN_CONFIG_H
#define SLRN_CONFIG_H

/* define if you want slrnpull support */
#define SLRN_HAS_PULL_SUPPORT		1

/* define if you want NNTP support */
#define SLRN_HAS_NNTP_SUPPORT		1

/* define if you want support for reading from a news spool */
#define SLRN_HAS_SPOOL_SUPPORT		1

/* define if you want support for posting via inews */
#define SLRN_HAS_INEWS_SUPPORT		1

/* define if you want to force the use of inews */
#define SLRN_FORCE_INEWS		0

/* define if you want to disallow custom From headers */
#define SLRN_HAS_STRICT_FROM		0

/* define if you want SSL support */
#define SLRN_HAS_SSL_SUPPORT		0

/* define if you want uudeview support */
#define SLRN_HAS_UUDEVIEW		0

/* define if you want slang interpreter support */
#define SLRN_HAS_SLANG			1

/* define if you want MIME support */
#define SLRN_HAS_MIME			1

/* define if you want slrn to map between ISO-Latin and native charsets */
#define SLRN_HAS_CHARACTER_MAP		1

/* define if you want spoiler support */
#define SLRN_HAS_SPOILERS		1

/* define if you want emphasized text support */
#define SLRN_HAS_EMPHASIZED_TEXT	1

/* define if you want verbatim marks */
#define SLRN_HAS_VERBATIM_MARKS		1

/* define if you want grouplens (R.I.P.) support */
#define SLRN_HAS_GROUPLENS		0

/* define if you want slrn to generate Message-IDs */
#define SLRN_HAS_GEN_MSGID		1

/* define to make slrn cache Message-IDs to eliminate cross-posts */
#define SLRN_HAS_MSGID_CACHE		0

/* define if slrn should use In-Reply-To if no References are available */
#define SLRN_HAS_FAKE_REFS		1

/* inews command */
#define SLRN_INEWS_COMMAND "/boot/home/config/bin/inews -S -h"

/* sendmail command */
#define SLRN_SENDMAIL_COMMAND "/bin/sendmail -oi -t -oem -odb"

/* directory for global slrn.rc and newsgroups.dsc */
#define SLRN_LIB_DIR "/usr/local/lib/slrn"

/* define if you have stdlib.h */
#define HAVE_STDLIB_H 1

/* define if you have unistd.h */
#define HAVE_UNISTD_H 1

/* define if you have fcntl.h */
#define HAVE_FCNTL_H 1

/* define if you have termios.h */
#define HAVE_TERMIOS_H 1

/* define if you have memory.h */
#define HAVE_MEMORY_H 1

/* define if you have malloc.h */
#define HAVE_MALLOC_H 1

/* define if you have memset */
#define HAVE_MEMSET 1

/* define if you have memcpy */
#define HAVE_MEMCPY 1

/* define if you have sys/time.h */
#define HAVE_SYS_TIME_H 1

/* define if you have gettimeofday */
#define HAVE_GETTIMEOFDAY 1

#define HAVE_SYS_UTSNAME_H 1
#define HAVE_UNAME 1

#define HAVE_SIGLONGJMP 1

/* define if you have this. */
#define HAVE_PUTENV 1
#define HAVE_GETCWD 1

#define HAVE_TIMEZONE 1
#define HAVE_TM_GMTOFF 1

#define HAVE_VSNPRINTF 1

#define HAVE_DIRENT_H 1
/* #undef HAVE_SYS_NDIR_H */
/* #undef HAVE_SYS_DIR_H */
/* #undef HAVE_NDIR_H */

#define HAVE_SYS_WAIT_H 1

/* define if you have <sys/socket.h> */
#define HAVE_SYS_SOCKET_H 1

/* define if you have <socket.h> */
#define HAVE_SOCKET_H 1

/* define if you have <netinet/in.h> */
#define HAVE_NETINET_IN_H 1

/* define if you have <arpa/inet.h> */
/* #undef HAVE_ARPA_INET_H */

#define HAVE_LOCALE_H 1
/* #undef HAVE_GETDOMAINNAME */

/* Do we have posix signals? */
#define HAVE_SIGACTION 1
#define HAVE_SIGPROCMASK 1
#define HAVE_SIGEMPTYSET 1
#define HAVE_SIGADDSET 1

#define HAVE_ISALPHA 1
#define HAVE_ISSPACE 1
#define HAVE_ISDIGIT 1
#define HAVE_ISALNUM 1
#define HAVE_ISPUNCT 1
#define HAVE_SETLOCALE 1

#if defined(HAVE_SIGADDSET) && defined(HAVE_SIGEMPTYSET)
# if defined(HAVE_SIGACTION) && defined(HAVE_SIGPROCMASK)
#  define SLRN_POSIX_SIGNALS
# endif
#endif

/* #undef mode_t */
/* #undef pid_t */
/* #undef uid_t */
/* #undef pid_t */

#define VA_COPY __va_copy
/* #undef VA_COPY_AS_ARRAY */

#if defined(ultrix) && !defined(__GNUC__)
# ifndef NO_PROTOTYPES
#  define NO_PROTOTYPES
# endif
#endif

#ifndef REAL_UNIX_SYSTEM
# define REAL_UNIX_SYSTEM
#endif

#ifdef _AIX
# ifndef _POSIX_SOURCE
#  define _POSIX_SOURCE
# endif
# ifndef _ALL_SOURCE
#  define _ALL_SOURCE
# endif
/* This may generate warnings but the fact is that without it, xlc will 
 * INCORRECTLY inline many str* functions. */
/* # undef __STR__ */
#endif

#ifndef __unix__
# define __unix__ 1
#endif

#define SLTCP_HAS_SSL_SUPPORT SLRN_HAS_SSL_SUPPORT

#define SLRN_SERVER_ID_NNTP 1
#define SLRN_SERVER_ID_SPOOL 2

#define SLRN_POST_ID_NNTP 1
#define SLRN_POST_ID_INEWS 2
#define SLRN_POST_ID_PULL 3

#define SLRN_PATH_SLASH_CHAR	'/'

#endif /* SLRN_CONFIG_H */
